=== debian/changelog ===
netcdf (1:4.7.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Apr 2020 21:56:21 +0200

netcdf (1:4.7.4-1~exp2) experimental; urgency=medium

  * Add patch to add forward declarations for byteswap8 & byteswap4.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Apr 2020 20:14:12 +0200

netcdf (1:4.7.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Rename library package for SONAME bump.
  * Refresh patches.
  * Update symbols for 4.7.4.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Mar 2020 15:28:34 +0100
