=== debian/changelog ===
netcdf (1:4.8.1-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Sep 2021 11:36:14 +0200

netcdf (1:4.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols for 4.8.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Aug 2021 06:46:43 +0200

netcdf (1:4.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Refresh patches.
  * Update symbols for 4.8.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 31 Mar 2021 05:40:30 +0200
