=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                cmake (>= 3.6.1),
                chrpath,
                m4,
@@ -13,7 +13,7 @@
                graphviz,
                libhdf5-dev (>= 1.8.6-1~),
                libcurl4-gnutls-dev | libcurl-ssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/netcdf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/netcdf.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
@@ -34,7 +34,7 @@
  This package contains documentation for the NetCDF library in a
  variety of formats.
 
-Package: libnetcdf18
+Package: libnetcdf19
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -59,7 +59,7 @@
 Package: libnetcdf-dev
 Architecture: any
 Section: libdevel
-Depends: libnetcdf18 (= ${binary:Version}),
+Depends: libnetcdf19 (= ${binary:Version}),
          libhdf5-dev (>= 1.8.6-1~),
          libcurl4-gnutls-dev | libcurl-ssl-dev,
          ${misc:Depends}
