=== debian/rules ===
--- 
+++ 
@@ -42,9 +42,6 @@
 	-find $(CURDIR)/debian/tmp/usr/bin -type f -not -name nc-config -exec chrpath --delete {} \;
 	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
 
-override_dh_install:
-	dh_install --list-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.md
